Ask Your Question
0

Install failed when enable amqp_ssl in packstack

asked 2014-11-12 19:25:51 -0500

Eric Xie gravatar image

updated 2017-04-18 04:38:19 -0500

fifieldt gravatar image

hi stackers, Reproduce:

1. config ans.txt
# Enable SSL for the AMQP service
CONFIG_AMQP_ENABLE_SSL=y

2. install. error msg
^[[1;31mError: /Stage[main]/Qpid::Server/Package[qpid-cpp-server-ssl]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y list qpid-cpp-server-ssl' returned 1: Error: No matching Packages to list^[[0m

But can not find qpid-cpp-server-ssl rpm pkg for redhat7. Anyone knows why? And how to resolve it? Thanks.

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2017-04-18 04:42:27 -0500

fifieldt gravatar image

Packstack switched to use RabbitMQ instead of QPID, so this problem should be solved in later versions.

If you need to migrate, try https://www.rdoproject.org/documentat...

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-11-12 19:25:51 -0500

Seen: 175 times

Last updated: Apr 18 '17